# Generated by Django 2.0.5 on 2018-10-05 07:32

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [("core", "0022_ciscomissingdata_is_invalid")]

    operations = [
        # This SQL query will delete duplicate product_instance_id entries
        migrations.RunSQL(
            'DELETE FROM "core_devicetypes" WHERE ID NOT IN (SELECT MAX(ID) FROM "core_devicetypes" GROUP BY "core_devicetypes"."product_instance_id")'
        ),
        migrations.AlterField(
            model_name="devicetypes",
            name="product_instance_id",
            field=models.CharField(db_index=True, max_length=100, unique=True),
        ),
        # Clean data: Removing entries with empty type field
        migrations.RunSQL(
            'DELETE FROM "core_devicetypes" WHERE "core_devicetypes"."type" = \'\';'
        ),
    ]
